windows 2003 iis und php 5

10/06/2008 - 22:55 von Megablaster | Report spam
Hallo,

wir haben Skripte laufen auf unserem IIS die unter PHP programmiert wurden.
Mit der Version PHP 4 laufen alle Skripte einwandfrei. Nun haben wir auf PHP
5 upgedatet und haben folgendes Problem.

Bei der Abfrage mit PHP 5 bekommen wir eine Fehlermeldung:

if (!getenv("REQUEST_METHOD") == 'POST') {die ("Post Methode wird benoetigt,
Verarbeitung beendet!");}


Post Methode wird benötigt, Verarbeitung beendet!

Ich denke mal das PHP die POST sowie die GET Methode nicht verarbeiten kann.
Kann mir einer von euch einen Tipp geben wo ich da angreifen soll das wir
das Teile wieder zum laufen bekommen?

Bin mit der Suche mit Google irgend wie nicht fündig geworden :-(

Mfg

T.Weidler
 

Lesen sie die antworten

#1 Stefan Falz [MVP]
11/06/2008 - 12:11 | Warnen spam
Hallo ?,

"Megablaster" schrieb:

Bei der Abfrage mit PHP 5 bekommen wir eine Fehlermeldung:

if (!getenv("REQUEST_METHOD") == 'POST') {die ("Post Methode wird benoetigt, Verarbeitung beendet!");}

Post Methode wird benötigt, Verarbeitung beendet!



Öhm, wenn ich das richtig sehe, erhàltst Du genau die Meldung, die von deinem
Skript ausgegeben wird.

Ich denke mal das PHP die POST sowie die GET Methode nicht verarbeiten kann.



Warum schreibt ihr nicht: if ($_SERVER['REQUEST_METHOD'] == 'POST')?

Was steht in getenv("REQUEST_METHOD") drin? Schreib den Inhalt mal in die Ausgabe.

Tschau, Stefan
Microsoft MVP - Visual Developer ASP/ASP.NET
http://www.asp-solutions.de/ - Consulting, Development
http://www.aspnetzone.de/ - ASP.NET Zone, die ASP.NET Community

Ähnliche fragen